Subject: Re: [PATCH] doc: remove custom callouts format

From: Felipe Contreras <[email-masked]>
Date: Tue, 18 Apr 2023 01:25:13 -0600

Jeff King wrote:
> On Tue, Apr 18, 2023 at 12:00:34AM -0400, Jeff King wrote:
> 
> > It's probably still worth moving forward with your patch, as I think it
> > takes us in the direction we want long-term (and which builds with
> > asciidoctor are already using). But we may want to pair it with a patch
> > to work around the issue with git-checkout.1 using asciidoc to avoid
> > regressing that section. It may require re-wording or re-organizing to
> > work around the bug.
> 
> Just to clarify my comment on asciidoctor: since our Makefile will put
> its output through docbook, too, it actually is using the xsl you're
> removing here (though I'm unclear on why its output looks good in
> general even before your patch).

It's probably a quirk of the git hack for callouts, but that's specific to
manpages.

Have you looked at the HTML output generated by asciidoc-py? The badly indented
output suggests this issue has nothing to do with my patch.

-- 
Felipe Contreras